#include <bits/stdc++.h>

#define int int64_t

signed main()
{
  std::ios::sync_with_stdio(false);
  std::cin.tie(0);
  int n;
  std::cin >> n;
  for(int i = 1; i <= n; i++) {
    std::cout << i * 2 - 1 << " ";
  }
  std::cout << "\n";
  for(int i = 1; i <= n; i++) {
    std::cout << i * 2 << " ";
  }
}